Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236184 - build gthumb with libopenraw
Summary: build gthumb with libopenraw
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL: http://libopenraw.freedesktop.org/wiki/
Whiteboard:
Depends On: Merge
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 12:06 UTC by Michael J. Chudobiak
Modified: 2009-09-21 19:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 12:43:46 UTC


Attachments (Terms of Use)

Description Michael J. Chudobiak 2007-04-12 12:06:34 UTC
gThumb should be built with libopenraw.

libopenraw provides very fast thumbnailing of RAW photos. If libopenraw is not
present, gThumb can also use dcraw. However dcraw is extremely slow (~15 seconds
to thumbnail an image).

libopenraw is maintained by Hubert Figuiere, who is one of the libgphoto2
developers. See http://libopenraw.freedesktop.org/wiki.

Ubuntu is adding libopenraw.

- Mike (a gThumb developer)

Comment 1 Matthew Miller 2007-04-12 12:59:01 UTC
Although it's far from obvious, all Fedora 7 test bugs should be filed against
"devel", not "test#". Moving this, so it doesn't get lost.

This has been a bulk message. We return you now to your regularly scheduled
program, already in progress.

Comment 2 Anton Keks 2007-04-22 13:45:23 UTC
Just voting for this - hope it is not late to include this in Fedora 7.
This provides a much better experience with RAW photos (that's what all serious
photographers use).


Comment 3 Trond Danielsen 2007-04-29 23:02:11 UTC
I just submitted libopenraw for review:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238373

I recompiled gthumb with support for libopenraw, and I must say that I was
impressed by the result! I hope that it will make it into Fedora, if not I will
just have to keep a personal version of it...

Comment 4 Matthias Clasen 2007-05-10 12:36:42 UTC
Built and tagged


Note You need to log in before you can comment on or make changes to this bug.